org.apache.http.client.methods

## Interface HttpExecutionAware

- All Known Implementing Classes:
    AbstractExecutionAwareRequest, HttpDelete, HttpEntityEnclosingRequestBase, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpRequestBase, HttpTrace

      public interface HttpExecutionAware

  Interface to be implemented by any object that wishes to be notified of blocking I/O operations that could be cancelled.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAborted()`
    `void` | `setCancellable(org.apache.http.concurrent.Cancellable cancellable)` Sets `Cancellable` for the ongoing operation.

- - ### Method Detail

    - #### isAborted

          boolean isAborted()

    - #### setCancellable

          void setCancellable(org.apache.http.concurrent.Cancellable cancellable)

      Sets `Cancellable` for the ongoing operation.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.